Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# RHash Struct Reference

`#include <ruby.h>`

## Data Fields
struct RBasic | basic
struct st_table * | ntbl
int | iter_lev
VALUE | ifnone

## Detailed Description

Definition at line 708 of file ruby.h.

## Field Documentation

struct RBasic RHash::basic

Definition at line 709 of file ruby.h.

VALUE RHash::ifnone

Definition at line 712 of file ruby.h.

Referenced by gc_mark_children().

int RHash::iter_lev

Definition at line 711 of file ruby.h.

struct st_table* RHash::ntbl

Definition at line 710 of file ruby.h.

Referenced by gc_mark_children().

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h